5
{EN
{*B
[2JIn this section we will cover the message subsystem. The message system
allows you to send and receive mail to the Sysop, all users or a specific user.
It is undoubtedly the most used feature of any bulletin board system.

The following message subsystem commands are available:

{C4E{C0)nter message -- leave mail for someone or everyone
This simple command gives you the power to transform your thoughts into
electronic messages.

You will be asked to whom you want to send the message to when you select
the "E" command. Press the [Enter] key if you want to address the message
to all users. You can also address the message to an individual or group
(e.g., "all wordstar users").

You will then be asked the subject of your message. A maximum of 25
characters is permitted for a subject title.

{C3TIPS:{C0
1. Simply addressing mail to an individual does not restrict who can read
the message. To limit access to the message, you must invoke either the
(P)assword or p(R)ivate security options.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3A"
{END
{M! STOP
{END ON
{*B
[2J2. RBBS-PC is equipped with a line-based editor. Press the [Enter] key
twice to call up the editor functions (A)bort, C)ontinue, D)elete, E)dit,
I)nsert, L)ist, M)argin, and S)ave).

3. You must issue the S)ave command if you want your message to remain on
the system for others to read. S)ave or all will be lost.

{C4K{C0)ill a message -- erase a message you left before
This command is used to erase a message. The security option (Kill,
Password, Receiver, or None) determines who is authorized to remove a
message.

{C3TIPS:{C0
1. You are encouraged to leave messages, but also to eliminate old messages
that are no longer useful. The SYSOP will periodically purge the collection
of old messages to prevent the system from becoming cluttered.

2. Occasionally, a message will be deleted that you want retained on the
system. Such misfortune can be remedied by reentering the message using the
"E" command.  You can also ask the SYSOP to recover the message.  Just
specify what number the message had.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3B"
{END
{M! STOP
{END ON
{*B
[2J{C4P{C0)ersonal mail -- list messages directed to you by name
The "P" command will display the numbers of all messages that have either
been entered by you or directed specifically to you.  Messages that have
been left to all users (called public messages) are not listed following
a "P" command.

{C3TIPS:{C0
1. RBBS-PC also tells you if you have any personal mail when you log on the
system.

2. You can rapidly identify the messages you would like to read with the
S)can and P)ersonal mail commands.

3. The S)can command lists the numbers of public as well as personal
messages.

{C4R{C0)ead message(s) -- select messages to read
You can pick the messages you want to read by certain text strings in the
header (to/from/subject), by the numbers of the messages that you would
like to read, or by whether the mail is to or from you.  You'll also see
the range of messages that's currently available to be read.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3C"
{END
{M! STOP
{END ON
{*B
[2JYour options for specifying which messages to read are:

  S (or *) =  read forward SINCE your last time on
  L        =  read backwards from Last Message
  F        =  read just the mail From you
  T        =  read just the mail To you specifically (or to ALL)
  M        =  'My' mail only.  Either from you, or to all.
  xxxx-    =  read backward, starting at message number xxxx
  xxxx+    =  read forward, starting at message number xxxx
  text     =  read only messages with text in them

Other time-saving hints:

a) You can stack the "R" command with message numbers.  For example, you can
   enter "r 10 14" at the MAIN menu to read messages 10 and 14.

b) A "+" sign shows you all the mail forward from the message you pick.  For
   instance, "19+" will display message 19 and all messages after it.
   "10 14 32+" will read messages 10, 14, 32 and all messages after 32.
   A "-" sign works similarly, but backwards.  For example, entering "R 32-"
   at the main menu will show message 32 and all the messages before it.
   (This shows both the use of the "-" key, and stacking at the main menu.)

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3D"
{END
{M! STOP
{END ON
{*B
[2Jc) You can look at only "personal" mail (from you or to you) by using an "M"
   in a stacked command.  For example, "r 10 14 M 32+" will show you messages
   10, 14, and all "personal" messages after number 32 to be displayed, if
   you enter it at the MAIN menu.

d) Usually, callers use the "S" (Since the last time) read option to see what
   mail is new since their last call.  Typing "R S" at the MAIN prompt will
   show you all the mail that is new Since your last call.  ("R *" still works,
   too, if you're used to using that.)

e) You can also look at only the mail that contains a certain search string.
   That's what "text" means in the prompt.  If you enter a string, and then
   a message range (forward or backward), you'll see only the mail containing
   the string.  You can hunt for a certain name, or "PS/2", or whatever you
   like.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3E"
{END
{M! STOP
{END ON
{*B
[2JThe "More" prompt appears after a message is read.  You will then choose from:

 N:  if you don't want to see any more messages
 Y:  or [ENTER] to keep reading or scanning messages
 R:  to reply to the current message without having to go to the main menu
 K:  to erase a message if you're done with it (and it's to you or from you)
 C:  to read or scan all messages Continuously (non-stop)
 =:  read the same message again
 +:  switches to reading messages forward
 -:  switches to reading messages backward

1. Messages are numbered consecutively, so that the most recently entered
messages have the highest numbers.

2. You can rapidly identify the messages you would like to read with the
S)can, T)opic scan, and P)ersonal mail commands.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3F"
{END
{M! STOP
{END ON
{*B
[2J{C4S{C0)can messages -- check messages (date/from/to/topic)
The "S" command reviews the messages.  Scan displays, on a single line for
each message, the message number, the date the message was created, who it
is too, who it is from, and the topic of the message.  You can specify
criteria for what messages to scan.  The most common useful options are:

  S (or *) =  forward from where you last read
  L        =  read backwards from Last Message
  F        =  read just the mail From you
  T        =  read just the mail To you specifically (or to ALL)
  M        =  your mail specifically addressed to you
  xxxx-    =  backward from message number xxxx
  xxxx+    =  forward from message number xxxx
  <text>   =  only messages with <text> in the subject/to/from fields

{C3TIPS:{C0
1. You can rapidly identify the messages you would like to read with the
S)can and P)ersonal mail commands.

2. To see only a list of the message numbers and topics, use the T)opic
scan command.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3G"
{END
{M! STOP
{END ON
{*B
[2J{C4T{C0)opic scan -- check messages for topics
The "T" command reviews just the topic of the messages.  It lists 3
columns of message numbers beside their topics.  You can specify criteria
for what messages to scan.  The most common useful options are:

  S (or *) =  forward from where you last read (same as *)
  L        =  read backwards from Last Message
  F        =  read just the mail From you
  T        =  read just the mail To you specifically (or to ALL)
  M        =  your mail specifically addressed to you
  xxxx-    =  backward from message number xxxx
  xxxx+    =  forward from message number xxxx
  <text>   =  only messages with <text> in the subject/to/from fields

{C3TIPS:{C0
1. You can jump to reading the message you want just by typing in the
numbers of the messages at the MORE prompt.

2. The S)can messages commands shows more information about each messages.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 3H"
{END
{M! STOP
{END ON
{*B
[2J{C4V{C0)iew -- scan for mail across conferences or "sub-board"
Checks all conferences and for any that you are a member of, reports # of
new messages and whether you have any new mail waiting for you.

The View command gives you the option to J)oin the displayed conference,
i.e. make it your current message base, or U)njoin, which means to
remove you from the conference.

{C3TIPS:{C0
1. View is the command you will normally use on boards that have
multiple message bases, in order to determine where all you have
mail waiting.   A listing of new mail is normally presented on
logon, though not with option to join then.  It is not necessary
to Join a conference first just to see if you have any mail.

2. V)iew reports only new mail addressed to you.  You way want to
join the conferences to read public mail to all or to other
individuals.

This concludes the Message Subsystem Tutorial. Please feel free to address any
questions concerning messages to the Sysop

{END
{>> TUTOR.DAT
"{FN","{LN","{DT","{TM","TUTOR 3"
{END
{09Press RETURN to continue
{*B
[2JPress {C2N{C0 for the next section, {C4Files subsystem{C0
Press {C2M{C0 for the tutorial menu
Press {C2A{C0 to return to the board
Press {C2R{C0 to review this section, or
Press {C2P{C0 to review the previous section, {C4Bulletin subsystem{C0

{END
{09
{ON 09
{==N
{M! TUTOR4.MCR
{==M
{M! TUTOR.MCR
{==R
{M! TUTOR3.MCR
{==A
{M! STOP.MCR
{==P
{M! TUTOR2.MCR

