5
{EN
{*B
[2JIn this section we will cover the files subsystem.

The file subsystem permits you to move files between your system and this
RBBS-PC. Downloading refers to moving files from this RBBS to your computer,
and uploading is moving files from your computer to this RBBS. The files
subsystem is accessed by using the "F" command at the main menu.

The transfer of data can either be done in ASCII or using a protocol referred
to as XMODEM.  The XMODEM protocol is common to CP/M based systems as was
originally developed by Ward Christensen. The protocol is also contained in
PC-TALK.III. More on this later.

To list the names of the files that are available on the disks for downloading
to your system, the <L>ist command should be entered at the Files Menu.  The
full names of the files will be listed along with a short description of each
file.  Usually there is a document file that accompanies most of the program
items on the system.  These document files usually have an extension of DOC or
TXT.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4A"
{END
{M! STOP
{END ON
{*B
[2JThe basic steps in downloading are
   (1) tell RBBS you want to download.
   (2) tell RBBS exactly what file you want to download.
   (3) tell RBBS what protocol you want to use.
   (4) after RBBS says it is ready, tell your communications package to save
       the incoming file.

Note: all three first steps can be specified on a single line in the format
" d;<filename>;<protocol>".  E.G. D;STREW.LBR;X will download the file
STREW.LBR using XMODEM protocol.

Note: if you set a default protocol, you will NOT be asked by RBBS what protocol
to use.  If you want to override the default protocol, do the first three steps
above on one line.  E.G. to download VOLSER2.DOC using ASCII when default is
XMODEM, at file function prompt enter "D;VOLSER2.DOC;A".  If you want to reset
the default protocol, select F for F)ile protocol, then N)one.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4B"
{END
{M! STOP
{END ON
{*B
[2JASCII DATA CAPTURE

The transfer of files in ASCII mode can be done if your system is capable of
data capture. To download a file using the ASCII method, follow the sequence
of steps listed below.

1.  List the files available for download using the L)ist command and either
    capture the list to your printer or write down the exact names of the files you
    want to receive.

2.  After returning to the Files Menu, select D)ownload.

3.  When RBBS-PC asks for the filename you wish to select, input the exact
    filename including a period between the filename and extension.

4.  When RBBS-PC asks for the type of download you want, input A for A)scii
    method.  (Only if you have default protocol set to None will you be asked
    this question.)

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4C"
{END
{M! STOP
{END ON
{*B
[2J5.  When the RBBS-PC tells you to open your capture file and enter a carriage
return to start the download, you should do so.  (Opening your capture file is
done by using the Alt-R command in PC-TALK.) After setting up to receive the
file on your end, you have to send RBBS-PC one carriage return so that it knows
you are ready to start.

6.  The file will be sent a line at a time until the entire file is sent.  You
will see the lines of ASCII code (readable text and numbers) on your screen as
they flow to your system.  If you wish to suspend the transmission temporarily,
your system should send RBBS-PC a Ctrl-S (XOFF). A Ctrl-Q (XON) will restart
the temporarily halted transfer.  A Ctrl-X (ASCII CAN) can be sent anytime to
abort the transmission of the data; because of the output buffering performed
automatically by RBBS-PC, there may be up to 120 characters transmitted before
the output stops.

7.  When the file transfer is finished, RBBS-PC will send you an End Of File
Marker (Ctrl-Z) followed by 5 bells.  You should close your capture file
(PC-TALK Alt-R) as soon as you hear the bells or you will get garbage at the
bottom of the file. If you go away for a cup of coffee and end up getting the
'end of file' sign attached to the bottom of the capture file, you can delete
it from the file later using a text editor.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4D"
{END
{M! STOP
{END ON
{*B
[2J8.  After the file transfer is complete you will be returned to the File
Menu.  You should look at the capture file at this point to be sure you got it
ok.  (Use the PC-TALK Alt-V command to do this.)  Do not list the entire file
unless it is short; RBBS-PC will give you 3 minutes to remain off-line before
it assumes you have left for the day and recycles, dropping you off line.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4E"
{END
{M! STOP
{END ON
{*B
[2JXMODEM FILE TRANSFER

If you have implemented XMODEM on your system, files with EXE and COM
extensions and tokenized BASIC files can be moved to your system.  Files
containing the IBM PC special ASCII characters (ones with ASCII values above
128) can also be transferred with XMODEM -- this includes Wordstar files.
These files cannot be transferred in ASCII mode since ASCII transfer is only 7
bit and these types of files require the full 8 bit transfer of the data with
no translation of the contents of the file.

XMODEM also offers the advantage of a block check to assure that the data sent
contains no errors.  It does this by adding a checksum byte to the end of each
block of data; the receiver calculates its own checksum and compares it to the
one received. If an error is detected in the transmission, XMODEM will request
that RBBS-PC retransmit the block of data.

To perform an XMODEM file download, follow the instructions shown above for
ASCII DATA CAPTURE, but select X)modem instead of A)scii when RBBS-PC asks
what file download type you want (step 4 above). The XMODEM file transfer steps
are as follows:

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4F"
{END
{M! STOP
{END ON
{*B
[2J5.  If you called in using EVEN parity the RBBS-PC will tell you to switch to
NO parity and 8 data bits. If you called in using 8 data bits the system will
not give you this message. You should then open your capture file (PC-TALK.III
Alt-R command) and start the XMODEM receive process.  PC-TALK.III starts XMODEM
for you when you put '=X' at the end of the download filename.

6.  The file will be transferred automatically by XMODEM until the entire file
has been transferred. You may abnormally abort the transfer by sending RBBS-PC
an ASCII CAN code (Ctrl-X). PC-TALK.III will do this for you if you enter an
Alt-R during the file transfer.

7.  When the file transfer is finished, XMODEM automatically closes your
capture file for you. XMODEM also ensures that no garbage gets into your file;
binary files and text files are just as they were sent to you with 99.6% error
free transmission.  Wordstar files should transfer without extra hard carriage
returns being added.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4G"
{END
{M! STOP
{END ON
{*B
[2J8.  XMODEM transferred files cannot be listed on your monitor unless they
are actually ASCII files. Binary files will appear as symbols rather than
human readable text. You will have to test these files after you exit your
communications program.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4H"
{END
{M! STOP
{END ON
{*B
[2JFILE UPLOADING

File uploading to the RBBS-PC is very similar to downloading. After you have
downloaded a few files, you might want to send me one of your favorite programs
or files just to test your ability to upload.

Uploading of ASCII files can be done without interruption between lines.  This
system can handle data uploading at 300 baud without any problem.  If the
transfer is done at 1200 baud, however, there may be a data overrun if the file
is over 20K.  If the system falls behind during a file upload operation, it
will send an XOFF (Ctrl-S) to your system.  If your system supports XON/OFF
file transfer speed-matching, data transmission will be suspended until an XON
(Ctrl-Q) is sent to you, indicating RBBS-PC is ready to accept data again.

When uploading files, please convert BASIC programs to ASCII before
transferring them so callers without XMODEM can download them.  To do this, use
the file save command format listed below.

                      SAVE"filename.ext",A

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4I"
{END
{M! STOP
{END ON
{*B
[2JBefore sending me a file be sure I have enough disk space to take the file.
When you ask for U)pload at the File menu, the system will tell you how much
disk space is free on the upload drive.  If this system runs out of disk space
during an upload function, it will issue a cancel request.  This will be in the
form of a data stream of one or more ASCII CAN (Ctrl-X) characters.  Your
system will abort transmission if it supports XON/OFF file transfer
speed-matching protocol. If your system does not support XON/OFF, the data
overflow will be lost and the RBBS-PC will recycle, dropping you off line.

UPLOAD GROUND RULES

You are encouraged to donate programs to the library on this system.  Any type
of program or document is welcome, however, a few ground rules are in order.
The files donated must contain only information that is in the public domain.
No private or commercial information should be placed on this system.  The
SYSOP is not responsible for any of the data that is shared on this system.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4J"
{END
{M! STOP
{END ON
{*B
[2JThe following files subsystem commands are available:

{C4D{C0)ownload -- you get a file from here
The "D" command is used to transfer data from RBBS-PC to your computer.
The basic steps in downloading are

1. Tell RBBS-PC that you want to download by entering "D" at the command
   prompt.
2. Tell RBBS-PC exactly what file you want to download by entering the file
   name at the prompt "file(s) to download".  No drive letter, no path, no
   wildcards, just the file name without any extension is all that is
   required.
3. Tell RBBS-PC what protocol you want to use.  RBBS-PC will give you a
   list of available protocols for file transfer.  Selecting none cancels
   the download.
4. After RBBS-PC says it is ready, tell the communications software that
   you are using to receive the file using the SAME PROTOCOL that was
   selected in step 3.  Most packages will also ask you what file name
   to give to the file that it is receiving at this time.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4K"
{END
{M! STOP
{END ON
{*B
[2J
{C3TIPS:{C0
1. You should use the L)ist, N)ew, and S)earch commands to identify files
that you would like to download.

2. You can stack the "D" command with the file name. That is, you can enter
"D;<filename> directly from the Files Menu. For example, you could type
"d;keydo.exe" to start downloading the "keydo.exe" file.  The protocol you
would like to use can also be stacked after the file name such as
"d;keydo.exe;x".

3. You can stack multiple file names.  E.g. "D;SD.COM;FDATE.ARC;X"
downloads files SD.COM and FDATE.ARC, each using Xmodem.

4. AUTODOWNLOAD can save you the trouble of having the tell your
communications package to receive and what file name to use.  PIBTERM 3.25
up and EXEC PC-TALK 2.1 up support autodownloading.

5. You can request that RBBS log you off automatically after a successful
download by putting "/G" at the end of the request, e.g.
"d humongus.zip z /G" will download humonus.zip using zmodem and log
you off right after a successful download.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4L"
{END
{M! STOP
{END ON
{*B
[2J{C4G{C0)oodbye -- This is the saddest of all commands.  It is the one that you
use to "hang up" your phone to logoff or conclude your RBBS-PC session.

{C4L{C0)ist directories (categories) of files available for download
The "L" command will display the directories or categories of files which
are available for downloading from RBBS-PC.

The "L" command can also be used along with a directory name (or number) to
display the list of files in that directory (e.g., "L;12"). A brief
description, the size in bytes, and the date the file was posted on the
system accompanies each file name.

After issuing an "L" command you can press ENTER to see a list of what
categories are available, or specify what categories that you want to see.
You can also enter "L;<directory name>" to see a list of files in that
category. For example, "L;WORDPR" (or "L;17") might display the names and
descriptions of files in the "WORDPR" (word processor) directory.

{C3TIPS:{C0
1. You can save time and keystrokes by stacking your requests. For
instance, "L;1;17;99" will list all of the files in directories 1, 17, and
99.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4M"
{END
{M! STOP
{END ON
{*B
[2J2. You can temporarily suspend output to your screen after initiating the
"L" command by pressing "Control-S". The "Control-X" or "Control-K"
commands will terminate the output to the screen and return you to the
Files Menu.

3. "L U" will always list the upload directory, if it is available to you.
And "L A" will list all directories.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4N"
{END
{M! STOP
{END ON
{*B
[2J{C4N{C0)ew files -- get list of files new since specified date
You can use the "N" command to identify files that have been added to
RBBS-PC since a given date, or since the last time you logged on.

You will be prompted for a date after you give the "N" command. Enter the
desired date in numerical format with no characters separating the month,
day, and year. For example, "032086" would list files included on the
system since March 20, 1986. Press [ENTER] at the date prompt to use the
date you last logged onto the system.

Next, you will be asked for a directory to scan. Type in their name(s) or
number(s) separated by semicolons. You can scan all of the directories on
the system by typing "ALL" at the prompt. Pressing [ENTER] will return you
to the Files Menu.

{C3TIPS:{C0
1. You can obtain a list of directory names and numbers by giving the "L"
command.

2. Using "ALL" may result in a time consuming search if the RBBS-PC system
contains many files. You can save time by searching specific directories.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4O"
{END
{M! STOP
{END ON
{*B
[2J3. You can stack the N)ew command with the desired date and category.  That
is, you can enter "N;MMDDYY" (e.g., "N;032086") directly from the Files
Menu.  You would then be asked for the directory you would like to scan.
You can also pre-specify the categories to see.  For example,
"N;032086;COMM;UTIL" lists are files on or after 03-20-86 in directories
COMM and UTIL.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4P"
{END
{M! STOP
{END ON
{*B
[2J{C4P{C0)ersonal download -- download files addressed to you personally
RBBS-PC allows the SYSOP to set up "personal" files for a specific callers
or group of callers to "D)ownload".  Personal downloads are unique from
other files that are available for callers to download in that:

1.  A caller can view and download personal files that have been set up
    just for that caller.
2.  There is no time limits on downloading personal files.

{C3TIPS:{C0
1. If there is a file you can't download for some reason (i.e. it is too
   large to download within the normal time limits that the SYSOP
   established), you might ask the SYSOP to make it available to you as a
   personal download.

2. At the prompt for P)ersonal download, you can ask for a list of all
   files available to you (L)ist).  An * in front of the file name means it
   is a new one you have never downloaded.

3. You to download all new files just by specifying * at the prompt.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4Q"
{END
{M! STOP
{END ON
{*B
[2J{C4S{C0)ubstring search -- list files with specified text in name/description
"S" scans file names and descriptions for a key match.  This gives you
the capability to search for a specific file or group of files dealing
with a specific topic or to identify certain types of files(e.g., .BAS,
.COM, .EXE).

You will be prompted for the string to scan for after you issue the "S"
command. Case (upper or lower) is ignored in the search.  If you want to
confine the search to a file name and not the descriptions, use a
wildcard (*,?).  For example, "BATCK" will look for all entries with
the string "BATCH" anywhere is the name or description, whereas
"BATCH*.*" will search for all file names beginning with "BATCH".

Next, you will be asked for a directory to scan. Type in their name(s) or
number(s) separated by semicolons. You can search through all of the
directories on the system by typing "ALL" at the prompt. Pressing [ENTER]
will return you to the Files Menu.

{C3TIPS:{C0
1. You can obtain a list of directory names and numbers by giving the "L"
command.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4R"
{END
{M! STOP
{END ON
{*B
[2J2. Using "ALL" may result in a time consuming search if the RBBS-PC system
contains many files. You can save time by searching specific directories.

3. You can stack the S)earch command with the desired string. That is, you
can enter "S;<string>" directly from the Files Menu. For example, you could
type "S;ZORK" to search for the string "ZORK". You will then be asked for
directory you want to scan.

4. A string that occurs as part of a file name or description will still
produce a match. Entering "BAS" will give you a listing of all files with
1) a ".BAS" extension, 2) "BAS" as part of the file name, or 3) "BAS" as
part of a word or term in the file description.

5. S supports both exact matches and "wildcards".  For example
"S;LIST*.ARC" will find LIST543.ARC.  The wildcard search supports
"reverse" searches, e.g. "*SE.*" will locate all file names whose
prefix ends in "SE", such as "FALSE.GIF" and "FUSE.ZIP".

6. Keep in mind that strings consisting of only a few characters could
produce too many matches.   S;X will locate every line with an "X" in it.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4S"
{END
{M! STOP
{END ON
{*B
[2J7. Strings consisting of many characters could produce too few matches.
For example, if you want all files connected with QMODEM, specifying
"S;QMODEM" will miss QMDM210.ARC and QMODFON.ARC.  You might want to
broaden your search with "S;QM" to make sure you get all wanted files.

8. You can use the "S" command to search for file types such as ".DOC",
".ARC", ".COM" etc. You could also search for files related to a specific
topic such as "spread" for information or programs related to spread sheets
or "comm" for communications programs.

9. You can stack the directories to search, as in "S;BAS;BASIC;PROG" to
search directories BASIC and PROG for the substring BAS.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4T"
{END
{M! STOP
{END ON
{*B
[2J{C4U{C0)pload -- you send me a file
The "U" command is used to transfer files from your computer to RBBS-PC.

You will be prompted for the name of the file you would like to upload
after you give the "U" command. You will then be asked to select a protocol
if you have not previously specified a default protocol (see the help for
the utility command F)ile transfer for a discussion of different
protocols).

The next series of commands will depend on the communications software that
you are using. Check the manual or document file that came with you
communications software for specific information.

UPLOAD GROUND RULES:  All callers are encouraged to upload files on this
system.  Any type of program or document is welcome, however, a few ground
rules are in order.  The files donated must contain only information that
can be shared with others.  Callers who upload files overtly take on the
sole  responsibility  that,  should these files be shared,  the  rights  of
others  will not be violated.  The SYSOP is not responsible for any of  the
data that is shared on this system.

{END
{09Press RETURN to continue
{ON 09
{==STOP
{>> ABORT.DAT
"{FN","{LN","{DT","{TM","TUTOR 4U"
{END
{M! STOP
{END ON
{*B
[2J{C3TIPS:{C0
1. You can stack the "U" command with the file name. That is, you can enter
"U;<filename> directly from the Files Menu. For example, you could type
"U;keydo.exe" to upload the "keydo.exe" file.

2. You can override the default protocol by including it at the end of the
command line.  For example, "U;LIST700.ARC;X" uploads LIST700.ARC using
Xmodem no matter what the default protocol is.

{C4V{C0)iew library contents -- look to see what is in a library file

This concludes the Files Subsystem Tutorial. Please feel free to address any
questions concerning files and file transfers to the Sysop

{END
{>> TUTOR.DAT
"{FN","{LN","{DT","{TM","TUTOR 4"
{END
{09Press RETURN to continue
{*B
[2JPress {C2N{C0 for the next section, {C4Utilities subsystem{C0
Press {C2M{C0 for the tutorial menu
Press {C2A{C0 to return to the board
Press {C2R{C0 to review this section, or
Press {C2P{C0 to review the previous section, {C4Message subsystem{C0

{END
{09
{ON 09
{==N
{M! TUTOR5.MCR
{==M
{M! TUTOR.MCR
{==R
{M! TUTOR4.MCR
{==A
{M! STOP.MCR
{==P
{M! TUTOR3.MCR
